> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get recurring order details

GET https://www.okx.com/api/v5/tradingBot/recurring/orders-algo-details

Retrieve the full details of a single recurring buy order, including per-currency performance.

Reference: https://okx-demo.ferndocs.com/api/api-reference/grid-trading/get-recurring-order-details

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Query parameters

- `algoId` (string, required) — Algo ID

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5TradingBotRecurringOrdersAlgoDetailsGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5TradingBotRecurringOrdersAlgoDetailsGetResponsesContentApplicationJsonSchemaDataItems

- `algoId` (string, optional) — Algo ID
- `algoClOrdId` (string, optional) — Client-supplied Algo ID
- `instType` (string, optional) — Instrument type
- `cTime` (string, optional) — Algo order created time, Unix timestamp format in milliseconds, e.g. `1597026383085`
- `uTime` (string, optional) — Algo order updated time, Unix timestamp format in milliseconds, e.g. `1597026383085`
- `algoOrdType` (string, optional) — Algo order type `recurring`: recurring buy
- `state` (string, optional) — Algo order state `running` `stopping` `stopped` `pause`
- `stgyName` (string, optional) — Custom name for trading bot, no more than 40 characters
- `recurringList` (list of ApiV5TradingBotRecurringOrdersAlgoDetailsGetResponsesContentApplicationJsonSchemaDataItemsRecurringListItems, optional) — Recurring buy info
- `period` (string, optional) — Period `monthly` `weekly` `daily` `hourly`
- `recurringDay` (string, optional) — Recurring buy date When the period is `monthly`, the value range is an integer of [1,28] When the period is `weekly`, the value range is an integer of [1,7]
- `recurringHour` (string, optional) — Recurring buy by hourly `1`/`4`/`8`/`12`, e.g. `4` represents "recurring buy every 4 hour"
- `recurringTime` (string, optional) — Recurring buy time, the value range is an integer of [0,23]
- `timeZone` (string, optional) — UTC time zone, the value range is an integer of [-12,14] e.g. "8" representing UTC+8 (East 8 District), Beijing Time
- `amt` (string, optional) — Quantity invested per cycle
- `investmentAmt` (string, optional) — Accumulate quantity invested
- `investmentCcy` (string, optional) — The invested quantity unit, can only be `USDT`/`USDC`
- `totalPnl` (string, optional) — Total P&L
- `totalAnnRate` (string, optional) — Total annualized rate of yield
- `pnlRatio` (string, optional) — Rate of yield
- `mktCap` (string, optional) — Market value in unit of `USDT`
- `cycles` (string, optional) — Accumulate recurring buy cycles
- `tag` (string, optional) — Order tag

### ApiV5TradingBotRecurringOrdersAlgoDetailsGetResponsesContentApplicationJsonSchemaDataItemsRecurringListItems

- `ccy` (string, optional) — Currency.
- `ratio` (string, optional) — Allocation ratio.
- `totalAmt` (string, optional) — Total amount held of this currency.
- `profit` (string, optional) — Profit of this currency.
- `avgPx` (string, optional) — Average buy price.
- `px` (string, optional) — Latest price.

## Examples

**Response**

```json
{
  "code": "string",
  "msg": "string",
  "data": [
    {
      "algoId": "string",
      "algoClOrdId": "string",
      "instType": "string",
      "cTime": "string",
      "uTime": "string",
      "algoOrdType": "string",
      "state": "string",
      "stgyName": "string",
      "recurringList": [
        {
          "ccy": "string",
          "ratio": "string",
          "totalAmt": "string",
          "profit": "string",
          "avgPx": "string",
          "px": "string"
        }
      ],
      "period": "string",
      "recurringDay": "string",
      "recurringHour": "string",
      "recurringTime": "string",
      "timeZone": "string",
      "amt": "string",
      "investmentAmt": "string",
      "investmentCcy": "string",
      "totalPnl": "string",
      "totalAnnRate": "string",
      "pnlRatio": "string",
      "mktCap": "string",
      "cycles": "string",
      "tag": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://www.okx.com/api/v5/tradingBot/recurring/orders-algo-details"

querystring = {"algoId":"560472804960100352"}

headers = {"OK-ACCESS-KEY": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://www.okx.com/api/v5/tradingBot/recurring/orders-algo-details?algoId=560472804960100352';
const options = {method: 'GET', headers: {'OK-ACCESS-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/tradingBot/recurring/orders-algo-details?algoId=560472804960100352"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/tradingBot/recurring/orders-algo-details?algoId=560472804960100352")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/tradingBot/recurring/orders-algo-details?algoId=560472804960100352")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/tradingBot/recurring/orders-algo-details?algoId=560472804960100352', [
  'headers' => [
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/tradingBot/recurring/orders-algo-details?algoId=560472804960100352");
var request = new RestRequest(Method.GET);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["OK-ACCESS-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/tradingBot/recurring/orders-algo-details?algoId=560472804960100352")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```